ASAHI-NVRAM(1)

NAME
asahi-nvram - read and write nvram variables on Apple Silicon Macs

SYNOPSIS
asahi-nvram [OPTIONS] [SUBCOMMAND]

OPTIONS

-d, --device <DEVICE>
    Path to the nvram device

-h, --help
    Print help information

-V, --version
    Print version information

SUBCOMMANDS

delete
    Delete nvram variables. Accepts multiple nvram variables as arguments

help
    Print top-level help or the help of the given subcommand(s)

read
    Read nvram variables. Accepts multiple nvram variables as arguments

write
    Write nvram variables. Accepts multiple nvram variable assignments in the form <VAR>=<VALUE> as arguments

NVRAM VARIABLE FORMAT
Nvram variables are parsed in the format <PARTITION>:<NAME>, where <PARTITION> is one of 'system' or 'common'.

WARNING
Writing to nvram may result in having to perform a DFU restore. Avoid unless you know what you're doing.